include:
  - project: rwickit/cicd/tf
    ref: v1                 ## The branch, tag, or SHA to use  (default: main)
    file: apply.yml         ## The path to the file to include (default: .gitlab-ci.yml)

variables:
  ## PROJECT VARIABLES
  ROLE_ARN: ${ROLE_ARN}
  ROLE_SESSION_NAME: ${CI_PROJECT_NAME}-${CI_COMMIT_REF_SLUG}

destroy:
  stage: destroy
  needs: [apply]
  extends: .destroy
